1、下载Flutter SDK

# 打开终端 cd 到想要克隆Flutter SDK的目录,如:
cd /Users/Sarah/Desktop/flutter/

# 然后克隆SDK
git clone -b dev https://github.com/flutter/flutter.git

2、配置flutter运行环境

在中国安装或使用 Flutter ,可以用一个可信的本地镜像来托管 Flutter 的依赖关系。为了让 Flutter 能使用一个备用的在线访问地址,你需要在运行 flutter 指令之前设置两个环境变量:
PUB_HOSTED_URL 和 FLUTTER_STORAGE_BASE_URL。

export PUB_HOSTED_URL=https://pub.flutter-io.cn
export FLUTTER_STORAGE_BASE_URL=https://storage.flutter-io.cn

# FLUTTER_HOME 为git clone Flutter SDK下来到目录,如:
export FLUTTER_HOME=/Users/Sarah/Desktop/flutter
export PATH=${FLUTTER_HOME}/bin:$PATH

# 或者执行如下命令
export PATH=`yourFlutterInstallPath`/bin:$PATH
# 如:
export PATH=/Users/sarawu/Desktop/flutter/flutter/bin:$PATH

3、检查flutter运行环境

运行以下命令来查看是否还有缺失的组件没有安装

flutter doctor

3.1、如果报错没有办法执行上面命令,请检查并执行2、配置flutter运行环境.

3.2、如果正常跑flutter doctor命令,仍旧会报错的,示例如下:

frc f7082c7c9c1f3f500199ba2705aca8cf - Flutter学习第一弹 - 安装Flutter
15598140140374.jpg

备注:😁 因为是iOS开发者,所以现在无视安卓报错,单纯解决iOS的问题。

问题1、未安装brew
# 安装brew,如:
/usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
问题2、安装brew后,无需再进行更新步骤,因为已经是最新版本。然后依次按照命令行要求执行相应操作:
brew install --HEAD usbmuxd
brew link usbmuxd
brew install --HEAD libimobiledevice
brew install ideviceinstaller
brew install ios-deploy

跑完以上命令,再重复执行

flutter doctor

命令行显示结果如下:

frc d5eed177a27d0c82289e47b8ee22594b - Flutter学习第一弹 - 安装Flutter
15598152609828.jpg

iOS的 ❌ 都解决啦,Flutter学习的第一弹,安装工具,圆满完成!💐💐💐

Flutter学习第一弹 – 安装Flutter